import traceback

from cpl_core.console import Console
from cpl_core.logging import LoggingSettings


class FileLoggingSettings(LoggingSettings):

    def __init__(self):
        LoggingSettings.__init__(self)

        self._key = ''

    @property
    def key(self) -> str:
        return self._key

    def from_dict(self, settings: dict):
        try:
            self._key = settings['Key']
            super().from_dict(settings)
        except Exception as e:
            Console.error(f'[ ERROR ] [ {__name__} ]: Reading error in {type(self).__name__} settings')
            Console.error(f'[ EXCEPTION ] [ {__name__} ]: {e} -> {traceback.format_exc()}')
